[Bug remote/12146] GDB 7.2 breaks compatibility from GDB 6.8 with KGDB

pedro at codesourcery dot com sourceware-bugzilla@sourceware.org
Thu Oct 21 14:07:00 GMT 2010


http://sourceware.org/bugzilla/show_bug.cgi?id=12146

Pedro Alves <pedro at codesourcery dot com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|WAITING                     |RESOLVED
         Resolution|                            |INVALID

--- Comment #5 from Pedro Alves <pedro at codesourcery dot com> 2010-10-21 14:07:13 UTC ---
> Packet qSymbol (symbol-lookup) is NOT supported
> Sending packet: $qTStatus#49...Ack
> Packet received: E22
> trace API error 0x2.

Okay, that explains things. This is a kernel bug.  I think I saw this being
fixed recently...  Here it is:

http://kerneltrap.org/mailarchive/linux-kernel/2010/7/22/4596723

You'll need to have that patch in your kernel (or get a newer one that has that
already fixed).

Cheers!

-- 
Configure bugmail: http://sourceware.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.



More information about the Gdb-prs mailing list